<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Correquisito extends Model
{
    protected $table = "ins_correquisito";
    protected $primaryKey = 'cve_corr';
    protected $fillable = ['cve_mat'];

    public function materia()
    {
        return $this->hasOne('App\Materia', 'cve_mat', 'cve_mat');
    }

    public function DetalleMatC()
    {
        return $this->hasMany('App\DetalleMateriaCorrequisito','cve_corr','cve_corr');
    }
}
